export const types = [
    {
        name: 'Resource',
        description: '',
        superClasses: [
            'Entity'
        ],
        properties: null,
        abstract: true
    },
    {
        name: 'Service',
        description: 'Collect Service information through the list of its facets',
        superClasses: [
            'Resource'
        ],
        properties: null,
        abstract: true
    },
    {
        name: 'HostingNode',
        description: 'Collect Hosting Node information through the list of its facets',
        superClasses: [
            'Service'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'Software',
        description: 'Collect Software information through the list of its facets',
        superClasses: [
            'Resource'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'Plugin',
        description: 'Collect Plugin information through the list of its facets',
        superClasses: [
            'Software'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'Actor',
        description: 'Any entity (human or machine) playing an active role.',
        superClasses: [
            'Resource'
        ],
        properties: null,
        abstract: true
    },
    {
        name: 'LegalBody',
        description: 'Actor',
        superClasses: [
            'Actor'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'Dataset',
        description: 'Collect Dataset information through the list of its facets',
        superClasses: [
            'Resource'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'Person',
        description: 'Person',
        superClasses: [
            'Actor'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'Schema',
        description: 'Collect Schema information through the list of its facets',
        superClasses: [
            'Resource'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'Site',
        description: 'Collect Site information through the list of its facets',
        superClasses: [
            'Resource'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'ConcreteDataset',
        description: 'Collect Dataset information through the list of its facets',
        superClasses: [
            'Dataset'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'VirtualMachine',
        description: 'Collect Hosting Node information through the list of its facets',
        superClasses: [
            'Service'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'ConfigurationTemplate',
        description: 'It represents a template for a configuration. It describe how a configuration has to be realized. E.g. Used to define the accounting configuration parameters template.',
        superClasses: [
            'Resource'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'Configuration',
        description: 'Collect Configuration information through the list of its facets',
        superClasses: [
            'ConfigurationTemplate'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'EService',
        description: 'Collect Electronic Service (aka Running Service) information through the list of its facets',
        superClasses: [
            'Service'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'VirtualService',
        description: 'Collect Virtual Service information through the list of its facets',
        superClasses: [
            'Service'
        ],
        properties: null,
        abstract: false
    },
    {
        name: 'RunningPlugin',
        description: 'Collect Running Plugin information through the list of its facets',
        superClasses: [
            'EService'
        ],
        properties: null,
        abstract: false
    }
];
